Subject: Re: todo: add language encoding information

From: Henry Story <[email-masked]>
Date: Thu, 22 Dec 2005 19:47:28 +0100

Simon is not a member of the atom-syntax list. I imagine his response  
will get through atom syntax moderation at some point, though as we  
are in holiday season, I imagine this could take some time.

I have also changed the policy on [email-masked] to allow  
posts by non members, forcing them through a moderation stage. This  
option was not available on google groups when I started the group.  
So you non members can cc that group hapily now. :-)

Henry

On 22 Dec 2005, at 18:44, Simon Phipps wrote:

>
> On Dec 22, 2005, at 15:34, James Holderness wrote:
>
>> Henry Story wrote:
>>>> Does Atom allow there to be multiple parallel renditions of a  
>>>> blog  entry in different languages?
>>>
>>> So it is not really possible to put atom entries with the same id  
>>> and updated time stamp in a  feed (without a SHOULD level  
>>> violation) even  if they are translation of each other. That  
>>> means that the Swiss  would not be able to publish a law with the  
>>> same atom id in french  and in german, as they are obliged to  
>>> publish these at the exact same  time by law. (No linguistic  
>>> preference)
>>
>> The Swiss may need to publish laws in multiple languages  
>> simultaneously, but most users surely don't need to read those  
>> laws in multiple languages simultaneously. Why waste their  
>> bandwidth including several translations in one feed when it would  
>> be far more convenient if you just had a separate feed for each  
>> language?
>
> You're making a couple of dodgy assumptions here:
>
> * You're assuming Atom is just used by an end-user here. Atom feeds  
> can also be used to pass data between servers, for backup, or for  
> content transfer. Structuring multilingual data as multiple feeds  
> without including cross-relationships with the data involves loss  
> of meta-data.
>
> * You're assuming multiple languages are always present. When I  
> blog, I have some entries translated for me because they relate to  
> local issues in a country I am visiting. I won't be making a  
> permanent pt-br feed when I visit Brazil, but I may well want the  
> translated blog entry to be made available in the syndication feed.
>
> It may well be appropriate to have multiple feeds in the case Henry  
> cites where there is a stable set of translations, but the more  
> general case merits serious consideration. James Snell has an  
> interesting proposal that addresses the issue directly with minimal  
> change.
>
> S.